Name: tkdiff
Version: 4.1.0
Release: alt1
Summary: An tcl/tk based graphical interface to the DIFF utility
Summary(ru_RU.KOI8-R):    DIFF
License: GPL
Group: Development/Other
Source: %name-%version.tar.gz
Source1: icons-%name.tar.gz
Url: http://tkdiff.sf.net
Requires: tk
Requires: diffutils
BuildArch: noarch
Autoreq: yes, noshell

%description
tkDIFF is a Tk based graphical interface to the DIFF utility.

%description -l ru_RU.KOI8-R
tkDiff -     DIFF -     .       .


%prep
%setup -q -n %name-%version

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
install tkdiff $RPM_BUILD_ROOT%_bindir/tkdiff

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 icon="tkdiff.png" section="Applications/Development/Tools"  title=TkDiff longtitle="Graphical Front-End for diff" command=tkdiff
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%_iconsdir
tar xzvf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc COPYING

%attr(755,root,root) %prefix/bin/*

%_libdir/menu/%name
%_iconsdir/%name.png
%_iconsdir/large/%name.png
%_iconsdir/mini/%name.png


%changelog
* Wed Jul  6 2005 Sergey Kalinin <banzaj@altlinux.ru> 4.1.0-alt1
- Clearcase support
- Better Subversion support
- -L command line option allows you to control the labels above the diff file panes.
- tkdiff --help or -h print a usage message for command line without invoking the GUI.
- The New Diff Dialog is expanded so you can specify all the options that way.
- The two panes can be resized relative to each other using a sash
  widget.  Tk8.4 is recommended, since the implemetation is much better.
					       
* Wed Feb  9 2005 Sergey Kalinin <banzaj@altlinux.ru> 4.0.2-alt1
- new version release

* Mon May 16 2004 Sergey Kalinin <banzaj@altlinux.ru> 4.0.0-alt2
- SPEC file changes - Summary fixed

* Tue Mar 30 2004 Sergey Kalinin <banzaj@altlinux.ru> 4.0.0-alt1
- Inline diff highlighting
- Current line comparison window
- Support for Subversion
- better tolerance of Windows filenames
- CDE, Windows, and MacOSX aware
